import request from '@/utils/request'

// 列表
export function list(data){
  return request({
    url: `/admin/musicRights/selectMusicRightsPage`,
    method: 'post',
    data
  })
}

// 新增 / 编辑
export function submit(data){
  return request({
    url: `/admin/musicRights/saveOrUpdateMusicRights`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/musicRights/getMusicRightsById/${id}`,
    method: 'get'
  })
}

// 上下架
export function change(id, status){
  return request({
    url: `/admin/musicRights/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 设备列表
export function devList(type) {
  return request({
    url: `/admin/musicRights/getIsExistclientTypeList/${type}`,
    method: 'get'
  })
}